Bug 561309 (CVE-2009-4257) - CVE-2009-4257 HelixPlayer / RealPlayer: SMIL getAtom heap buffer overflow
Summary: CVE-2009-4257 HelixPlayer / RealPlayer: SMIL getAtom heap buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-4257
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard:
Depends On:
Blocks: CVE-2009-0375, CVE-2009-0376, CVE-2009-4241, CVE-2009-4244, CVE-2009-4246
TreeView+ depends on / blocked
 
Reported: 2010-02-03 11:19 UTC by Tomas Hoger
Modified: 2019-09-29 12:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 11:06:53 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0094 0 normal SHIPPED_LIVE Critical: HelixPlayer security update 2010-02-09 10:14:30 UTC

Description Tomas Hoger 2010-02-03 11:19:47 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-4257 to the following vulnerability:

Heap-based buffer overflow in smlrender.dll in RealNetworks RealPlayer 10,
RealPlayer 10.5 6.0.12.1040 through 6.0.12.1741, RealPlayer 11 11.0.0 through
11.0.4, RealPlayer Enterprise, Mac RealPlayer 10 and 10.1, Linux RealPlayer 10
and 11.0.0, and Helix Player 10.x and 11.0.0 allows remote attackers to execute
arbitrary code via an SMIL file with crafted string lengths.

References:
http://service.real.com/realplayer/security/01192010_player/en/
http://www.zerodayinitiative.com/advisories/ZDI-10-007/
http://www.securityfocus.com/archive/1/509105/100/0/threaded
http://xforce.iss.net/xforce/xfdb/55798

Comment 3 errata-xmlrpc 2010-02-09 10:15:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0094 https://rhn.redhat.com/errata/RHSA-2010-0094.html


Note You need to log in before you can comment on or make changes to this bug.